FOREIGN_FITS_WRITE(3)

FUNCTION
foreign_fits_write - Write a FITS file to a channel.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_fits_write

(Channel channel, multi_array *multi_desc, ...)

DESCRIPTION
This routine will write a Karma data structure to a FITS file. The routine will automatically generate essential keywords such as: "NAXIS", "NAXISn", "CTYPEn", "CRVALn", "CRPIXn", "CDELTn", "BITPIX", "BUNIT", "BSCALE" and "BZERO". Also, existing keywords in the data structure which do not conflict with the generated keywords are copied.

channel
    The channel to write to. The channel is not flushed.

multi_desc
    The multi_array descriptor pointer. The routine will find a n-dimensional array within the data structure.

... The optional attributes are given as pairs of attribute-key attribute-value pairs. This list must be terminated with FA_FITS_WRITE_END. See <-foreign_ATT_FITS_WRITE-> for a list of defined attributes.

RETURN VALUE
TRUE on succes, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/